﻿# coding=UTF-8

from pygglib2.pygglib import GGSession
from pygglib2.Contacts import *
from pygglib2.GGConstans import *
import settings
import botconsts
from talker import Talker

class Main(object):
	def __init__(self):
		self.contacts_list = ContactsList()
		self.session = GGSession(uin=settings.DANE_LOGOWANIA[0], password=settings.DANE_LOGOWANIA[1],
								 initial_status=GGStatuses.AvailDescr, initial_description=settings.OPIS,
								 contacts_list=self.contacts_list)
		self.session.register('on_login_ok', self.onLogin)
		self.session.register('on_msg_recv', self.onMsg)
		self.session.register('on_login_failed', self.onFail)
		self.talker = Talker()

		self.session.login()

	def onLogin(self, sender, args):
		print u'>Zalogowano pomyślnie'
		
	def onFail(self, sender, args):
		print u'>Nie można zalogować do Gadu-Gadu!'

	def onMsg(self, sender, args):
		if settings.DEBUG:
			print '>>%d: %s' % (args.sender, args.message)
		self.session.send_msg(args.sender, self.talker.getRespond(args.sender, args.message))

if __name__ == '__main__':
	print botconsts.msg
	if settings.DEBUG:
		Main()
	else:
		try:
			Main()
		except Exception as e:
				print u'Błąd: ', e